/**
 * @author Rafael Ostertag <rafael.ostertag@math.uzh.ch>
 */

var QfqNS = QfqNS || {};

(function (n) {
    'use strict';

    n.PageTitle = {
        set: function (title) {
            document.title = title;
        },
        get: function () {
            return document.title;
        },
        setSubTitle: function (subTitle) {
            var currentTitle = this.get();
            var subtitleStrippedOff = currentTitle.replace(/ - (.*)$/, '');
            document.title = subtitleStrippedOff + " - (" + subTitle + ")";
        }
    };
})(QfqNS);