/**
 * @author Rafael Ostertag <rafael.ostertag@math.uzh.ch>
 */

/* global EventEmitter */
/* global $ */

var QfqNS = QfqNS || {};

(function (n) {
    'use strict';

    n.EventEmitter = new EventEmitter();
    n.EventEmitter.makePayload = function (target, data, additionalArgs) {
        return [$.extend({},
            typeof additionalArgs === "object" ? additionalArgs : null,
            {
                target: target,
                data: data
            }
        )];
    };

})(QfqNS);